Fire an Event
Notify multiple users
POST https://api.fyno.io/v1/{WSID}/{version}/event/bulk
This API enables you to notify multiple users with one event trigger.
Before firing your first notification event, you must perform the following actions in your Fyno account:
- Create a Template
- Create an Event
- Create an API Key
- And obtain your workspace ID from the API Keys page.
Authorization
AuthorizationrequiredEnter your API Key. If you don't have it already, you can create one from the API Keys page within your Fyno account
Path Parameters
WSIDrequiredEnter your workspace ID. You can obtain this value from the API Keys page within your Fyno account.
versionrequiredEnter the version for which you wish to fire the notification.
livetestBody
batchrequiredYour batch payload must specify at least distinct_id or to while firing a notification event.
If the payload contains:
-
Option 1: ONLY
to(and nodistinct_id) - the event uses all destination values from thetoobject (as it is). -
Option 2: ONLY
distinct_id(and noto) - the event uses all destination values (such as SMS, WhatsApp, Email, Push, Voice and so on) from the user's profile and sends the notification. -
Option 3: BOTH
distinct_idandto- thetoanddistinct_idchannel data merges (toobject take precedences) and sends the notification. The sent notification is tagged to the ID specified, which can be then used to search the logs by usingdistinct_id.
eventrequiredEnter the name of the event you wish to fire.
Response
Request accepted successfully and it will be processed asynchronously.
eventreceived_timerequest_idresponse